更新指定项目的设置。您可以更新任何可用选项。MongoDB Cloud 仅更新请求中提供的选项。要使用此资源,请求的服务账户或 API 密钥必须具有“项目所有者”角色。
路径参数
-
用于标识项目的唯一 24-十六进制数字字符串。 使用 /groups 端点检索身份验证的用户有权访问权限的所有项目。
注意:群组和项目是同义词。您的群组 ID 与项目 ID 相同。对于现有群组,群组/项目 ID 保持不变。资源和相应的端点使用“群组”一词。
格式应符合以下模式:
^([a-f0-9]{24})$。
查询参数
-
指示应用程序是否将响应包装在
envelopeJSON 对象中的标志。某些 API 客户端无法访问 HTTP 响应标头或状态代码。要修复此问题,请在查询中设置 Envelope=true。返回结果列表的端点将结果对象用作 envelope。应用程序将状态参数添加到响应正文中。默认值为
false。 -
指示响应正文是否应采用 prettyprint 格式的标记。
默认值为
false。Prettyprint
body
必需
要更新的设置。
-
Flag that indicates whether the AI Cluster Assistant is enabled for the specified project.
-
指示是否为指定项目收集特定于数据库的指标的标志。
-
该标志指示是否为指定项目启用数据浏览器。
-
指示是否启用生成式人工智能功能,这些功能在数据浏览器中为指定项目向 3 个第三方服务发出请求的标志。
-
一个标记,指示是否启用在指定项目的数据浏览器中使用生成式人工智能功能传递示例字段值。
默认值为
false。 -
指示是否为指定项目启用扩展存储大小的标志。
-
指示是否在指定项目的聚合管道中使用 Voyage AI模型启用原生重排序的标志。
-
指示是否为指定项目启用性能优化顾问和分析器的标志。
-
指示是否为指定项目启用“实时性能面板”的标志。
-
指示是否为指定项目启用模式顾问程序的标志。
curl \
--request PATCH 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/settings' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"isClusterAiAssistantEnabled":true,"isCollectDatabaseSpecificsStatisticsEnabled":true,"isDataExplorerEnabled":true,"isDataExplorerGenAIFeaturesEnabled":true,"isDataExplorerGenAISampleDocumentPassingEnabled":false,"isExtendedStorageSizesEnabled":true,"isNativeRerankingEnabled":true,"isPerformanceAdvisorEnabled":true,"isRealtimePerformancePanelEnabled":true,"isSchemaAdvisorEnabled":true}'
{
"isClusterAiAssistantEnabled": true,
"isCollectDatabaseSpecificsStatisticsEnabled": true,
"isDataExplorerEnabled": true,
"isDataExplorerGenAIFeaturesEnabled": true,
"isDataExplorerGenAISampleDocumentPassingEnabled": false,
"isExtendedStorageSizesEnabled": true,
"isNativeRerankingEnabled": true,
"isPerformanceAdvisorEnabled": true,
"isRealtimePerformancePanelEnabled": true,
"isSchemaAdvisorEnabled": true
}
{
"isClusterAiAssistantEnabled": true,
"isCollectDatabaseSpecificsStatisticsEnabled": true,
"isDataExplorerEnabled": true,
"isDataExplorerGenAIFeaturesEnabled": true,
"isDataExplorerGenAISampleDocumentPassingEnabled": false,
"isExtendedStorageSizesEnabled": true,
"isNativeRerankingEnabled": true,
"isPerformanceAdvisorEnabled": true,
"isRealtimePerformancePanelEnabled": true,
"isSchemaAdvisorEnabled": true
}
{
"error": 401,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Unauthorized",
"errorCode": "NOT_ORG_GROUP_CREATOR"
}
{
"error": 403,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Forbidden",
"errorCode": "CANNOT_CHANGE_GROUP_NAME"
}
{
"error": 404,
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"reason": "Not Found",
"errorCode": "RESOURCE_NOT_FOUND"
}
{
"error": 500,
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"reason": "Internal Server Error",
"errorCode": "UNEXPECTED_ERROR"
}